Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.renderer.category
Class CategoryItemRendererState

    java.lang.Object
      org.jfree.chart.renderer.RendererState
          org.jfree.chart.renderer.category.CategoryItemRendererState

Direct Known Subclasses:
  CategoryStepRenderer.State

    public class CategoryItemRendererState

extends RendererState

An object that retains temporary state information for a `CategoryItemRenderer`.

Constructor Summary
`CategoryItemRendererState(PlotRenderingInfo info)` Creates a new object for recording temporary state information for a renderer.

Method Summary
`double` | `getBarWidth()` Returns the bar width.
`CategoryCrosshairState` | `getCrosshairState()` Returns the crosshair state, if any.
`double` | `getSeriesRunningTotal()` Returns the series running total.
`int[]` | `getVisibleSeriesArray()` Returns a copy of the visible series array.
`int` | `getVisibleSeriesCount()` Returns the number of visible series or -1 if no visible series have been specified.
`int` | `getVisibleSeriesIndex(int rowIndex)` Returns the index of the row relative to the visible rows.
`void` | `setBarWidth(double width)` Sets the bar width.
`void` | `setCrosshairState(CategoryCrosshairState state)` Sets the crosshair state.
`void` | `setVisibleSeriesArray(int[] visibleSeries)` Sets an array with the indices of the visible rows.

Methods inherited from class org.jfree.chart.renderer.RendererState
`getEntityCollection, getInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryItemRendererState

    public CategoryItemRendererState(PlotRenderingInfo info)

  Creates a new object for recording temporary state information for a renderer.

  Parameters:
    `info` - the plot rendering info (`null` permitted).

Method Detail

### getBarWidth

    public double getBarWidth()

  Returns the bar width.

  Returns:
    The bar width.
  See Also:
    `setBarWidth(double)`

### setBarWidth

    public void setBarWidth(double width)

  Sets the bar width. The renderer calculates this value and stores it here - it is not intended that users can manually set the bar width.

  Parameters:
    `width` - the width.
  See Also:
    `getBarWidth()`

### getSeriesRunningTotal

    public double getSeriesRunningTotal()

  Returns the series running total.

  Returns:
    The running total.
  See Also:
    `setSeriesRunningTotal(double)`

### getCrosshairState

    public CategoryCrosshairState getCrosshairState()

  Returns the crosshair state, if any.

  Returns:
    The crosshair state (possibly `null`).
  Since:
    1.0.11
  See Also:
    `setCrosshairState(CategoryCrosshairState)`

### setCrosshairState

    public void setCrosshairState(CategoryCrosshairState state)

  Sets the crosshair state.

  Parameters:
    `state` - the new state (`null` permitted).
  Since:
    1.0.11
  See Also:
    `getCrosshairState()`

### getVisibleSeriesIndex

    public int getVisibleSeriesIndex(int rowIndex)

  Returns the index of the row relative to the visible rows. If no visible rows have been specified, the original row index is returned. If the row index is not included in the array of visible rows, -1 is returned.

  Parameters:
    `rowIndex` - the row index.
  Returns:
    The new row index or -1.
  Since:
    1.0.13

### getVisibleSeriesCount

    public int getVisibleSeriesCount()

  Returns the number of visible series or -1 if no visible series have been specified.

  Returns:
    The number or -1.
  Since:
    1.0.13

### getVisibleSeriesArray

    public int[] getVisibleSeriesArray()

  Returns a copy of the visible series array.

  Returns:
    The visible series array (possibly `null`).
  Since:
    1.0.13

### setVisibleSeriesArray

    public void setVisibleSeriesArray(int[] visibleSeries)

  Sets an array with the indices of the visible rows.

  Parameters:
    `visibleSeries` - the array (`null` permitted).
  Since:
    1.0.13

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.